                    Computer Science 481/681
                           Quiz 1            Name____________________

1. Initial development of what became the internet protocols was
   primarily funded by:

   a. IBM                       b. The International Standards
                                   Organization (ISO)

   c. The U.S. Dept. of         d. The CCITT.
      Defense

2. A protocol is called unreliable if it permits any of three
   things to occurs.  One is occasional loss of an entire data
   packet. What are the other two?

   a.

   b.

3. The organization CURRENTLY charged with assigning internet addresses
   and domain names to new commercial and educational users of the
   internet is.

   a. IANA                       b. The InterNIC

   c. The NIC                    d. The IETF

4. Identify the class of service provided by each of the following
   internet protocols.

   ___ a. IP               1. Reliable Connection-oriented
                           2. Reliable Connection-less
   ___ b. TCP              3. Un-Reliable Connection-oriented
                           4. Un-Reliable Connection-less
   ___ c. UDP

5. Identify the network layer at which each of the following protocols
   resides.

   ___ a. IP               1. Link
                           2. Network
   ___ b. TCP              3. Transport
                           4. Application
   ___ c. UDP

   ___ d. FTP


5. Which of the following internet addresses would be classed as
   "directed broadcast".

   a. 9.123.4.45           b. 130.127.255.255

   c. 130.127.0.0          d. 255.255.255.255

6. The standard network address used for a host to send "loopback"
   data to itself is:

   a. 127.0.0.1            b. 0.0.0.0

   b. 127.255.255.255      d. None of the above

7. Clemson University's network address is 130.127. To which of
   five classes (A-E) does this address belong.


8. Which of the following is NOT a disadvantage of the internet
   addressing.

   a. If an organization changes    b. Addresses use too many bits
      its network class ALL of its     and those impose excessive
      hosts much change addresses      network overhead.

   c. It is difficult or impossible d. The partitioning scheme for
      for a traveller with a PC to     address bits is causing some
      use the same address "on the     network classes to run out of
      road" as at home.                available network addresses soon.

9. Associate each of the following address classes with the layer
   which uses it in the routing of packets.

   ___ a. Port address             1. Link
                                   2. Network
   ___ b. Internet address         3. Transport
                                   4. Application
   ___ c. Ethernet address


10. The "Quote of the Day" Application protocol uses Port:

    a. 1                           b. 130.127.48.1

    c. 17                          d. 50112
